This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 501329 - Can no longer access the network settings of my linux server
Can no longer access the network settings of my linux server
Status: CLOSED NOTABUG
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
devel
All Linux
low Severity urgent (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-18 11:34 EDT by Peter Johnson
Modified: 2013-06-23 22:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 11:50:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (424.99 KB, image/png)
2009-05-18 11:34 EDT, Peter Johnson
no flags Details

  None (edit)
Description Peter Johnson 2009-05-18 11:34:22 EDT
Created attachment 344455 [details]
screenshot

Description of problem:

I recently received a linux server with Red Hat Cent Os installed on it. I made some basic settings once, and everything seemed to work fine until I recently started getting an error message every time I try accessing the network settings. Please look at the message below and the attached screenshot.

I need some help about fixing this problem...



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

The copy of the error message is as follows:


The Title is: Exception Occurred

Component: system-config-network
Version: 1.3.99.12
Summary: TB0a0f70ae maindialog.py:602:hydrateProfiles:TypeError: sequence item not a string or unicode object

Traceback (most recent call last):
  File "/usr/sbin/system-config-network-gui", line 167, in main
    window = mainDialog()
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line 248, in __init__
    self.hydrate()
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line 392, in hydrate
    self.hydrateProfiles()
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line 602, in hydrateProfiles
    hclist.append([host.IP, host.Hostname,
TypeError: sequence item not a string or unicode object

Local variables in innermost frame:
profilelist: ProfileList.defaultCopy0.ActiveDevices.1=eth0
ProfileList.defaultCopy0.HostsList.1.Comment=
ProfileList.defaultCopy0.HostsList.1.IP=::1
ProfileList.defaultCopy0.HostsList.1.Hostname=localhost6.localdomain6
ProfileList.defaultCopy0.HostsList.1.AliasList.1=localhost6
ProfileList.defaultCopy0.HostsList.2.Comment=
ProfileList.defaultCopy0.HostsList.2.IP=127.0.0.1
ProfileList.defaultCopy0.HostsList.2.Hostname=m3em01
ProfileList.defaultCopy0.HostsList.2.AliasList.1=localhost.localdomain
ProfileList.defaultCopy0.HostsList.2.AliasList.2=localhost
ProfileList.defaultCopy0.DNS.SecondaryDNS=
ProfileList.defaultCopy0.DNS.Domainname=
ProfileList.defaultCopy0.DNS.Hostname=m3em01
ProfileList.defaultCopy0.DNS.TertiaryDNS=
ProfileList.defaultCopy0.DNS.PrimaryDNS=207.164.234.129
ProfileList.defaultCopy0.Active=false
ProfileList.defaultCopy0.ProfileName=defaultCopy0
ProfileList.default.ActiveDevices.1=eth0
ProfileList.default.HostsList.1.Comment=# Do not remove the following line, or various programs
ProfileList.default.HostsList.1.isComment=true
ProfileList.default.HostsList.2.Comment=# that require network functionality will fail.
ProfileList.default.HostsList.2.isComment=true
ProfileList.default.HostsList.3.Comment=
ProfileList.default.HostsList.3.IP=127.0.0.1
ProfileList.default.HostsList.3.Hostname=m3em01
ProfileList.default.HostsList.3.AliasList.1=localhost.localdomain
ProfileList.default.HostsList.3.AliasList.2=localhost
ProfileList.default.HostsList.4.Comment=
ProfileList.default.HostsList.4.IP=::1
ProfileList.default.HostsList.4.Hostname=localhost6.localdomain6
ProfileList.default.HostsList.4.AliasList.1=localhost6
ProfileList.default.HostsList.5.Comment=
ProfileList.default.HostsList.5.IP=192.168.2.5
ProfileList.default.DNS.SecondaryDNS=207.164.234.193
ProfileList.default.DNS.Domainname=
ProfileList.default.DNS.Hostname=Linux Server
ProfileList.default.DNS.TertiaryDNS=
ProfileList.default.DNS.PrimaryDNS=207.164.234.129
ProfileList.default.Active=true
ProfileList.default.ProfileName=default

name: Common
hclist: <gtk.CList object (GtkCList) at 0x2ade255b9dc0>
self: <netconfpkg.gui.maindialog.mainDialog instance at 0x2ade255a8d88>
host: Host.Comment=
Host.IP=192.168.2.5

prof: Profile.ActiveDevices.1=eth0
Profile.HostsList.1.Comment=# Do not remove the following line, or various programs
Profile.HostsList.1.isComment=true
Profile.HostsList.2.Comment=# that require network functionality will fail.
Profile.HostsList.2.isComment=true
Profile.HostsList.3.Comment=
Profile.HostsList.3.IP=127.0.0.1
Profile.HostsList.3.Hostname=m3em01
Profile.HostsList.3.AliasList.1=localhost.localdomain
Profile.HostsList.3.AliasList.2=localhost
Profile.HostsList.4.Comment=
Profile.HostsList.4.IP=::1
Profile.HostsList.4.Hostname=localhost6.localdomain6
Profile.HostsList.4.AliasList.1=localhost6
Profile.HostsList.5.Comment=
Profile.HostsList.5.IP=192.168.2.5
Profile.DNS.SecondaryDNS=207.164.234.193
Profile.DNS.Domainname=
Profile.DNS.Hostname=Linux Server
Profile.DNS.TertiaryDNS=
Profile.DNS.PrimaryDNS=207.164.234.129
Profile.Active=true
Profile.ProfileName=default

row: 0


Can you give me a few hints on how to make sure all the IPs are properly set up, and how to get rid of this bug message so I can access the network configurations again? Also, can you tell me if I can rely on the Open Port Check Tool I'm currently using for this server?  Is this Server supposed to have DHCP enabled or run on static private or public IP address?

Any help by email would be greatly appreciated...

Thanks

Regards...
Comment 1 Peter Johnson 2009-05-18 11:38:13 EDT
Desperately need help on this issue
Comment 2 David Lawrence 2009-05-18 11:50:04 EDT
CentOS is not an officially supported Red Hat product. Please check at http://wiki.centos.org/Documentation?action=show&redirect=GettingHelp
about getting support for your CentOS system.

Dave
Comment 3 Tomas Hoger 2009-05-18 11:59:19 EDT
Not security flaw, removing security flags and security team CC.

Smells like an issue with malformed hosts file.

Note You need to log in before you can comment on or make changes to this bug.